package provider

type MusicProvider = Provider[MusicKey, MusicEntry]
type MusicProviderSync = ProviderSync[MusicKey, MusicEntry]

case class MusicEntry(
    key: MusicKey,
    artist: String,
    album: String,
    title: String,
    year: Int,
    data: MusicData
)

case class MusicKey(val key: String)
case class MusicData(val data: Vector[Byte])
